Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 1 | #!/bin/sh |
| 2 | die () { |
| 3 | echo "$@" 1>&2 |
| 4 | exit 1 |
| 5 | } |
| 6 | test -d autoconf && test -f autoconf/configure.ac && cd autoconf |
| 7 | test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first" |
| 8 | autoconf --version | egrep '2\.5[0-9]' > /dev/null |
| 9 | if test $? -ne 0 ; then |
Reid Spencer | 30ea478 | 2006-04-18 06:27:47 +0000 | [diff] [blame] | 10 | die "Your autoconf was not detected as being 2.5x" |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 11 | fi |
| 12 | cwd=`pwd` |
| 13 | if test -d ../../../autoconf/m4 ; then |
| 14 | cd ../../../autoconf/m4 |
| 15 | llvm_m4=`pwd` |
Reid Spencer | 30ea478 | 2006-04-18 06:27:47 +0000 | [diff] [blame] | 16 | llvm_src_root=../../.. |
| 17 | llvm_obj_root=../../.. |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 18 | cd $cwd |
| 19 | elif test -d ../../llvm/autoconf/m4 ; then |
| 20 | cd ../../llvm/autoconf/m4 |
| 21 | llvm_m4=`pwd` |
Reid Spencer | 30ea478 | 2006-04-18 06:27:47 +0000 | [diff] [blame] | 22 | llvm_src_root=../.. |
| 23 | llvm_obj_root=../.. |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 24 | cd $cwd |
| 25 | else |
Reid Spencer | 30ea478 | 2006-04-18 06:27:47 +0000 | [diff] [blame] | 26 | while true ; do |
| 27 | echo "LLVM source root not found." |
| 28 | read -p "Enter full path to LLVM source:" |
| 29 | if test -d "$REPLY/autoconf/m4" ; then |
| 30 | llvm_src_root="$REPLY" |
| 31 | llvm_m4="$REPLY/autoconf/m4" |
| 32 | read -p "Enter full path to LLVM objects (empty for same as source):" |
| 33 | if test -d "$REPLY" ; then |
| 34 | llvm_obj_root="$REPLY" |
| 35 | else |
| 36 | llvm_obj_root="$llvm_src_root" |
| 37 | fi |
| 38 | break |
| 39 | fi |
| 40 | done |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 41 | fi |
Reid Spencer | 30ea478 | 2006-04-18 06:27:47 +0000 | [diff] [blame] | 42 | # Patch the LLVM_ROOT in configure.ac, if it needs it |
| 43 | cp configure.ac configure.bak |
| 44 | sed -e "s#^LLVM_SRC_ROOT=.*#LLVM_SRC_ROOT=\"$llvm_src_root\"#" \ |
| 45 | -e "s#^LLVM_OBJ_ROOT=.*#LLVM_OBJ_ROOT=\"$llvm_obj_root\"#" configure.bak > configure.ac |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 46 | echo "Regenerating aclocal.m4 with aclocal" |
| 47 | rm -f aclocal.m4 |
Reid Spencer | f20856d | 2005-02-24 18:42:34 +0000 | [diff] [blame] | 48 | aclocal -I $llvm_m4 -I "$llvm_m4/.." || die "aclocal failed" |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 49 | echo "Regenerating configure with autoconf 2.5x" |
Reid Spencer | f20856d | 2005-02-24 18:42:34 +0000 | [diff] [blame] | 50 | autoconf --warnings=all -o ../configure configure.ac || die "autoconf failed" |
Reid Spencer | 38fd88a | 2005-01-05 06:41:10 +0000 | [diff] [blame] | 51 | cd .. |
| 52 | exit 0 |